| Home | Libraries | People | FAQ | More

### Class stack_context

Boost.Context provides the class stack_context which will contain the stack pointer and the size of the stack. In case of a segmented_stack, stack_context contains some extra control structures.

    struct stack_context {
        void    *   sp;
        std::size_t size;

        // might contain additional control structures
        // for segmented stacks
    }

##### `void * sp`

Value:

  Pointer to the beginning of the stack.

##### `std::size_t size`

Value:

  Actual size of the stack.